iFrame widget not working in 9.0.5

0
The iFrames in our app stopped working in Mendix 9.0.5.  They had been running for a long time in version 8 and up to 9.0.2 (beta).  This is the error from a small test case that has an iFrame inside a dataView. I confirmed that the dataView is getting the URL string (by first running the page without the iFrame).   MyFirstModule.Page_iFrame_using_page_parameter.dataView2: Error while applying context Error: MyFirstModule.Page_iFrame_using_page_parameter.iFrame1: Error while applying context Error: MyFirstModule.Page_iFrame_using_page_parameter.iFrame1: Error while applying context TypeError: mendix.lang.nullExec is not a function Error: MyFirstModule.Page_iFrame_using_page_parameter.dataView2: Error while applying context Error: MyFirstModule.Page_iFrame_using_page_parameter.iFrame1: Error while applying context Error: MyFirstModule.Page_iFrame_using_page_parameter.iFrame1: Error while applying context TypeError: mendix.lang.nullExec is not a function     at http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:308082     at Object.t.collect (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:182798)     at Object.e.exports.applyContext (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:307980)     at http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:307768     at r (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:182519)     at Object.t.sequence (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:182528)     at Object.e.exports.fireOnReady (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:306952)     at http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:307732     at Object.t.collect (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:182798)     at e.exports.loadWidgetsIn (http://localhost:8080/mxclientsystem/mxui/mxui.js?637533153155198781:5:307614)    
asked
3 answers
2

UPDATE:

I decided to create a more modern version of the IFrame widget. This one is called IFrame Component:

https://marketplace.mendix.com/link/component/117308

answered
1

Problem is that it used a deprecated function mendix.lang.nullExec, deprecated in MX9: https://docs.mendix.com/releasenotes/studio-pro/9.0#breaking-changes.

I created a new version 3.1.2 which can be downloaded in the Market Place

answered
0

Since you can reproduce it, it worked in 9.0.2, you have a solid testcase, I think you have run into a bug that can get fixed best by Mendix. Create a support ticket for it via support.mendix.com

answered